Inboxes
Remove an Agent from Inbox
Remove an Agent from Inbox
DELETE
/
api
/
v1
/
accounts
/
{account_id}
/
inbox_members
Remove an Agent from Inbox
curl --request DELETE \
--url https://airys.chat/api/v1/accounts/{account_id}/inbox_members \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"inbox_id": "<string>",
"user_ids": [
123
]
}
'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/inbox_members"
payload = {
"inbox_id": "<string>",
"user_ids": [123]
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inbox_id: '<string>', user_ids: [123]})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/inbox_members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
application/json
Response
Success
⌘I
Remove an Agent from Inbox
